defmodule Clacks.Repo.Migrations.CreateActors do
  use Ecto.Migration

  def change do
    create table(:actors, primary_key: false) do
      add :id, :uuid, primary_key: true

      add :ap_id, :string
      add :nickname, :string
      add :local, :boolean
      add :data, :jsonb

      timestamps()
    end
  end
end
