defmodule Clacks.Repo.Migrations.CreateActivities do
  use Ecto.Migration

  def change do
    create table(:activities, primary_key: false) do
      add :id, :uuid, primary_key: true

      add :data, :jsonb, null: false
      add :local, :boolean
      add :actor, :string

      timestamps()
    end
  end
end
