defmodule Clacks.Repo.Migrations.CreateApIdIndexes do
  use Ecto.Migration

  def change do
    create unique_index(:activities, ["(data->>'id')"], name: :activites_unique_ap_id_index)
    create unique_index(:objects, ["(data->>'id')"], name: :objects_unique_ap_id_index)
  end
end
